QuattroDosChart Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
QuattroDosChart Class Reference

This class parses Quattro Pro DOS chart file. More...

`#include <QuattroDosChart.h>`

## Public Member Functions
| QuattroDosChart (QuattroDosParser &parser)
| constructor
| ~QuattroDosChart ()
| destructor
void | setListener (WKSContentListenerPtr &listen)
| sets the listener
bool | readChartSetType ()
| reads the chart type: b8(3d) or ca(bubble)
bool | readChartName ()
| reads the chart name: b9
bool | readChart ()
| reads a structure which define a chart: 2d(default), 2e(name + value)
int | getNumSpreadsheets () const
| returns the number of spreadsheet
void | getChartPositionMap (int sheetId, std::map< Vec2i, Vec2i > &cellMap) const
| returns the list of cell's begin to end corresponding to a chart
bool | sendChart (int sheetId, Vec2i const &cell, Vec2f const &chartSize)
| try to send the chart corresponding to sheetId and a position

## Protected Member Functions
bool | checkFilePosition (long pos)
| return true if the pos is in the file, update the file size if need
int | version () const
| return the file version
bool | sendText (WPSEntry const &entry)
| try to send the text
bool | updateSpreadsheetNames (QuattroDosChartInternal::Chart &chart)
| update the chart spreadsheet name

## Private Member Functions
| QuattroDosChart (QuattroDosChart const &orig)=delete
QuattroDosChart & | operator= (QuattroDosChart const &orig)=delete
libwps::DebugFile & | ascii ()
| returns the debug file

## Private Attributes
RVNGInputStreamPtr | m_input
| the input
std::shared_ptr< WKSContentListener > | m_listener
QuattroDosParser & | m_mainParser
| the listener (if set)
std::shared_ptr< QuattroDosChartInternal::State > | m_state
| the internal state
libwps::DebugFile & | m_asciiFile
| the ascii file

## Friends
class | QuattroDosParser
class | QuattroDosChartInternal::Chart

## Detailed Description

This class parses Quattro Pro DOS chart file.

## Constructor & Destructor Documentation

## ◆ QuattroDosChart() [1/2]

QuattroDosChart::QuattroDosChart | ( | QuattroDosParser & | parser | ) |
| explicit

constructor

## ◆ ~QuattroDosChart()

QuattroDosChart::~QuattroDosChart | ( |  | ) |

destructor

## ◆ QuattroDosChart() [2/2]

QuattroDosChart::QuattroDosChart | ( | QuattroDosChart const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile & QuattroDosChart::ascii | ( |  | ) |
| inlineprivate

returns the debug file

Referenced by readChart(), readChartName(), and readChartSetType().

## ◆ checkFilePosition()

bool QuattroDosChart::checkFilePosition | ( | long | pos | ) |
| protected

return true if the pos is in the file, update the file size if need

## ◆ getChartPositionMap()

void QuattroDosChart::getChartPositionMap | ( | int | sheetId,
|  | std::map< Vec2i, Vec2i > & | cellMap
| ) |  | const

returns the list of cell's begin to end corresponding to a chart

## ◆ getNumSpreadsheets()

int QuattroDosChart::getNumSpreadsheets | ( |  | ) | const

returns the number of spreadsheet

## ◆ operator=()

QuattroDosChart & QuattroDosChart::operator= | ( | QuattroDosChart const & | orig | ) |
| privatedelete

## ◆ readChart()

bool QuattroDosChart::readChart | ( |  | ) |

reads a structure which define a chart: 2d(default), 2e(name + value)

## ◆ readChartName()

bool QuattroDosChart::readChartName | ( |  | ) |

reads the chart name: b9

## ◆ readChartSetType()

bool QuattroDosChart::readChartSetType | ( |  | ) |

reads the chart type: b8(3d) or ca(bubble)

## ◆ sendChart()

bool QuattroDosChart::sendChart | ( | int | sheetId,
|  | Vec2i const & | cell,
|  | Vec2f const & | chartSize
| ) |  |

try to send the chart corresponding to sheetId and a position

## ◆ sendText()

bool QuattroDosChart::sendText | ( | WPSEntry const & | entry | ) |
| protected

try to send the text

Referenced by QuattroDosChartInternal::Chart::sendContent().

## ◆ setListener()

void QuattroDosChart::setListener | ( | WKSContentListenerPtr & | listen | ) |
| inline

sets the listener

## ◆ updateSpreadsheetNames()

bool QuattroDosChart::updateSpreadsheetNames | ( | QuattroDosChartInternal::Chart & | chart | ) |
| protected

update the chart spreadsheet name

Referenced by sendChart().

## ◆ version()

int QuattroDosChart::version | ( |  | ) | const
| protected

return the file version

Referenced by readChart().

## Friends And Related Function Documentation

## ◆ QuattroDosChartInternal::Chart

friend class QuattroDosChartInternal::Chart
| friend

## ◆ QuattroDosParser

friend class QuattroDosParser
| friend

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile& QuattroDosChart::m_asciiFile
| private

the ascii file

Referenced by ascii().

## ◆ m_input

RVNGInputStreamPtr QuattroDosChart::m_input
| private

the input

Referenced by checkFilePosition(), readChart(), readChartName(), readChartSetType(), and sendText().

## ◆ m_listener

std::shared_ptr<WKSContentListener> QuattroDosChart::m_listener
| private

Referenced by sendChart(), sendText(), and setListener().

## ◆ m_mainParser

QuattroDosParser& QuattroDosChart::m_mainParser
| private

the listener (if set)

the main parser

Referenced by readChart(), readChartName(), sendText(), updateSpreadsheetNames(), and version().

## ◆ m_state

std::shared_ptr<QuattroDosChartInternal::State> QuattroDosChart::m_state
| private

the internal state

Referenced by checkFilePosition(), getChartPositionMap(), getNumSpreadsheets(), readChart(), readChartSetType(), sendChart(), and version().

The documentation for this class was generated from the following files:

- QuattroDosChart.h
- QuattroDosChart.cpp